## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global github_name twilio-python
%global pypi_name twilio

Name:           python-%{pypi_name}
Version:        9.6.3
Release:        1%{?dist}
Summary:        Twilio API client and TwiML generator

License:        MIT
URL:            https://github.com/twilio/twilio-python
Source0:        %{url}/archive/%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-jwt
# Tests requirements:
BuildRequires:  python3dist(aiounittest)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(multidict)
BuildRequires:  python3dist(pytest)

%global desc \
The Twilio REST SDK simplifies the process of making calls using the Twilio \
REST API. \
The Twilio REST API lets to you initiate outgoing calls, list previous calls, \
and much more.

%description
%{desc}

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -p1 -n %{github_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# avoid 'import file mismatch:'
rm twilio/rest/events/v1/sink/sink_test.py
# Disable checks requiring network access to api.twilio.com
# Disable webbook test requiring proprietary ngrok binary
rm tests/cluster/test_webhook.py
rm tests/cluster/test_cluster.py
%pytest \
  --deselect tests/unit/rest/test_client.py::TestUserAgentClients::test_set_default_user_agent \
  --deselect tests/unit/rest/test_client.py::TestUserAgentClients::test_set_user_agent_extensions


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 Packit <hello@packit.dev> - 9.6.3-1
- Update to 9.6.3 upstream release
- Resolves: rhbz#2364041

* Wed Jun 04 2025 Python Maint <python-maint@redhat.com> - 9.5.2-2
- Rebuilt for Python 3.14

* Mon Apr 07 2025 Packit <hello@packit.dev> - 9.5.2-1
- Update to 9.5.2 upstream release
- Resolves: rhbz#2353890

* Tue Mar 11 2025 Packit <hello@packit.dev> - 9.5.0-1
- Update to 9.5.0 upstream release
- Resolves: rhbz#2351374

* Thu Feb 20 2025 Packit <hello@packit.dev> - 9.4.6-1
- Update to 9.4.6 upstream release
- Resolves: rhbz#2346845

* Tue Feb 11 2025 Packit <hello@packit.dev> - 9.4.5-1
- Update to 9.4.5 upstream release
- Resolves: rhbz#2344890

* Tue Jan 28 2025 Packit <hello@packit.dev> - 9.4.4-1
- Update to 9.4.4 upstream release
- Resolves: rhbz#2330536

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 9.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 13 2025 Packit <hello@packit.dev> - 9.4.3-1
- Update to 9.4.3 upstream release
- Resolves: rhbz#2330536

* Thu Jan 09 2025 Packit <hello@packit.dev> - 9.4.2-1
- Update to 9.4.2 upstream release
- Resolves: rhbz#2330536

* Fri Nov 15 2024 Packit <hello@packit.dev> - 9.3.7-1
- Update to 9.3.7 upstream release
- Resolves: rhbz#2321931

* Thu Oct 24 2024 Packit <hello@packit.dev> - 9.3.5-1
- Update to 9.3.5 upstream release
- Resolves: rhbz#2321594

* Fri Oct 18 2024 Packit <hello@packit.dev> - 9.3.4-1
- Update to 9.3.4 upstream release
- Resolves: rhbz#2316553

* Wed Sep 25 2024 Packit <hello@packit.dev> - 9.3.2-1
- Update to 9.3.2 upstream release
- Resolves: rhbz#2313803

* Fri Sep 06 2024 Packit <hello@packit.dev> - 9.3.0-1
- Update to 9.3.0 upstream release
- Resolves: rhbz#2290988

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 9.1.0-2
- Rebuilt for Python 3.13

* Sat May 25 2024 Packit <hello@packit.dev> - 9.1.0-1
- Update to 9.1.0 upstream release
- Resolves: rhbz#2283172

* Fri Apr 19 2024 Packit <hello@packit.dev> - 9.0.5-1
- Update to 9.0.5 upstream release
- Resolves: rhbz#2272625

* Fri Apr 05 2024 Paul Wouters <paul.wouters@aiven.io> - 9.0.4-1
- update to 9.0.4

* Fri Mar 15 2024 Packit <hello@packit.dev> - 9.0.2-1
- [packit] 9.0.2 upstream release
- Resolves rhbz#2269683

* Wed Mar 13 2024 Packit <hello@packit.dev> - 9.0.1-1
- [packit] 9.0.1 upstream release
- Resolves rhbz#2257045

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 16 2023 Packit <hello@packit.dev> - 8.11.0-1
- [packit] 8.11.0 upstream release
- Resolves rhbz#2254794

* Sat Dec 02 2023 Packit <hello@packit.dev> - 8.10.3-1
- [packit] 8.10.3 upstream release
- Resolves rhbz#2252509

* Fri Nov 17 2023 Packit <hello@packit.dev> - 8.10.2-1
- [packit] 8.10.2 upstream release
- Resolves rhbz#2248442

* Thu Oct 19 2023 Paul Wouters <paul.wouters@aiven.io> - 8.10.0-2
- use autochangelog

* Thu Oct 19 2023 Packit <hello@packit.dev> - 8.10.0-1
- [packit] 8.10.0 upstream release
- Resolves rhbz#2245097 Upstream tag: 8.10.0 Upstream commit: 304f89b5

* Thu Oct 05 2023 Packit <hello@packit.dev> - 8.9.1-1
- [packit] 8.9.1 upstream release

* Tue Sep 26 2023 Roman Inflianskas <rominf@aiven.io> - 8.9.0-2
- Koji build job with packit

* Tue Sep 26 2023 Packit <hello@packit.dev> - 8.9.0-1
- [packit] 8.9.0 upstream release

* Tue Sep 26 2023 Roman Inflianskas <rominf@aiven.io> - 8.7.0-2
- Add packit

* Mon Sep 04 2023 Roman Inflianskas <rominf@aiven.io> - 8.7.0-1
- Resolves: rhbz#2234652 Update to 8.7.0

* Sun Aug 13 2023 Roman Inflianskas <rominf@aiven.io> - 8.6.0-1
- Resolves: rhbz#2226999 Update to 8.6.0

* Sun Aug 13 2023 Roman Inflianskas <rominf@aiven.io> - 8.5.1-1
- Resolves: rhbz#2226999 Update to 8.5.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Paul Wouters <paul.wouters@aiven.io> - 8.5.0-1
- Resolves: rhbz#2181314 Update to 8.5.0

* Fri Jul 07 2023 Roman Inflianskas <rominf@aiven.io> - 7.16.5-2
- Resolves: rhbz#2220542 F39FailsToInstall: python3-twilio

* Wed Mar 15 2023 Paul Wouters <paul.wouters@aiven.io> - 7.16.5-1
- Resolves: rhbz#2177268 python-twilio-7.16.5 is available

* Tue Feb 28 2023 Roman Inflianskas <rominf@aiven.io> - 7.16.4-1
- Resolves rhbz#2172974 python-twilio-7.16.4 is available

* Thu Feb 09 2023 Paul Wouters <paul.wouters@aiven.io> - 7.16.3-1
- Resolves rhbz#2164705 python-twilio-7.16.3 is available

* Tue Jan 24 2023 Paul Wouters <paul.wouters@aiven.io> - 7.16.1-1
- Resolves rhbz#2117470 python-twilio-7.16.1 is available

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 01 2022 Roman Inflianskas <rominf@aiven.io> - 7.12.0-1
- Update to 7.12.0 (resolve rhbz#2088393)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Roman Inflianskas <rominf@aiven.io> - 7.9.3-1
- Update to 7.9.3 (#2088393), re-enable testing

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 7.9.0-2
- Rebuilt for Python 3.11

* Thu May 05 2022 Paul Wouters <paul.wouters@aiven.io> - 7.9.0-1
- Resolves: rhbz#2081949 python-twilio-7.9.0 is available

* Wed Apr 27 2022 Paul Wouters <paul.wouters@aiven.io> - 7.8.2-2
- disable checking as it requires network access

* Wed Apr 27 2022 Paul Wouters <paul.wouters@aiven.io> - 7.8.2-1
- Resolves: rhbz#2072788 python-twilio-7.8.2 is available

* Tue Mar 29 2022 Roman Inflianskas <rominf@aiven.io> - 7.8.0-1
- Update to 7.8.0 (#2062947), update python macros, enable testing

* Mon Mar 28 2022 Roman Inflianskas <rominf@aiven.io> - 7.7.1-1
- Update to 7.7.1 (2062947)

* Wed Mar 09 2022 Paul Wouters <paul.wouters@aiven.io> - 7.7.0-2
- update sources

* Wed Mar 09 2022 Paul Wouters <paul.wouters@aiven.io> - 7.7.0-1
- Revived packge, update to 7.7.0, update python macros`

* Wed Mar 09 2022 Tomas Hrcka <thrcka@redhat.com> - 6.32.0-9
- Unretirement request: https://pagure.io/releng/issue/10688

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.32.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.32.0-7
- Rebuilt for Python 3.10

* Mon Apr 19 2021 Tomas Hrnciar <thrnciar@redhat.com> - 6.32.0-6
- BuildRequire setuptools explicitly

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.32.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 6.32.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 17 2019 Michael Cullen <michael@cullen-online.com> - 6.32.0-1
- Updated to 6.32.0

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 6.29.1-3
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 6.29.1-2
- Rebuilt for Python 3.8

* Fri Aug 02 2019 Michael Cullen <michael@cullen-online.com> - 6.29.1-1
- Updated to 6.29.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6.27.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 20 2019 Michael Cullen <michael@cullen-online.com> - 6.27.0-1
- Updated to 6.27.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6.14.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.14.7-3
- Python2 binary package has been removed

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.14.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Charalampos Stratakis <cstratak@redhat.com> - 6.14.7-1
- Update to 6.14.7

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 6.10.3-2
- Rebuilt for Python 3.7

* Fri Feb 16 2018 Michael Cullen <michael@cullen-online.com> - 6.10.3-1
- new version

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 10 2017 Michael Cullen <michael@cullen-online.com> - 6.9.1-1
- new version

* Tue Nov 21 2017 Michael Cullen <michael@cullen-online.com> - 6.9.0-1
- new version

* Mon Nov 06 2017 Michael Cullen <michael@cullen-online.com> - 6.8.3-2
- Added new sources

* Mon Nov 06 2017 Michael Cullen <michael@cullen-online.com> - 6.8.3-1
- new version

* Tue Oct 24 2017 Michael Cullen <michael@cullen-online.com> - 6.8.1-1
- Updated to 6.8.1

* Wed Oct 18 2017 Michael Cullen <michael@cullen-online.com> - 6.8.0-2
- Added sources

* Wed Oct 18 2017 Michael Cullen <michael@cullen-online.com> - 6.8.0-1
- Initial Import
## END: Generated by rpmautospec
